{if (length($NF)>15){
	pid=$2;
	c=sprintf("pwdx %d > foo",pid);system(c);
	getline<"foo"
	print $0
	wd=sprintf("tail -5 %s/r.log > foo",$2);
	close("foo");
	system(wd);
	while (getline<"foo") {print $0}
	close("foo");
       
    }
}
